> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiorna area di lavoro

> Aggiorna il nome di un'area di lavoro.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json PATCH /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    patch:
      tags:
        - public-accounts
        - public-workspaces
      summary: Aggiorna area di lavoro
      description: Aggiorna il nome di un'area di lavoro.
      operationId: >-
        update_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: Schema di richiesta per creare o aggiornare un'area di lavoro.
      properties:
        name:
          description: Nome visualizzato dell'area di lavoro
          maxLength: 255
          minLength: 1
          title: Nome
          type: string
      required:
        - name
      title: WorkspaceRequest
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Account UUID proprietario dell'area di lavoro
          format: uuid
          title: Id account
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp di creazione dell'area di lavoro
          title: Creato il
        id:
          description: UUID dell'area di lavoro
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato dell'area di lavoro
          title: Nome
          type: string
        status:
          default: active
          description: Stato del ciclo di vita dell'area di lavoro
          title: Stato
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp dell'ultimo aggiornamento dell'area di lavoro
          title: Aggiornato il
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````